[alpine-aports] [PATCH] testing/outils: Split package into multiple subpackages

Sören Tempel
Details
Message ID
<1456662413-7143-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1456662413
DKIM signature
missing
Download raw message
Patch: +31 -5
Not committing this myself because with this change every outils binary
would have its own package which is actually nice since you mostly only
want one of them. Furthermore it makes it easier to resolve package
conflicts, for instance testing/vis would only conflict with outils-vis
instead of the entire package and chksum can now also be installed.
---
 testing/outils/APKBUILD | 36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

diff --git a/testing/outils/APKBUILD b/testing/outils/APKBUILD
index 4de1e50..ab105b1 100644
--- a/testing/outils/APKBUILD
+++ b/testing/outils/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
 pkgname=outils
 pkgver=0.3
-pkgrel=2
+pkgrel=3
 pkgdesc="Port of some non-standard OpenBSD tools to Linux"
 url="https://github.com/chneukirchen/outils"
 arch="all"
@@ -11,7 +11,24 @@ depends=""
 depends_dev=""
 makedepends="openssl-dev linux-headers"
 install=""
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc
+	$pkgname-sha256:_tool
+	$pkgname-lndir:_tool
+	$pkgname-rdate:_tool
+	$pkgname-calendar:_tool
+	$pkgname-lam:_tool
+	$pkgname-what:_tool
+	$pkgname-rs:_tool
+	$pkgname-unvis:_tool
+	$pkgname-gzsig:_tool
+	$pkgname-md5:_tool
+	$pkgname-sha1:_tool
+	$pkgname-apply:_tool
+	$pkgname-sha512:_tool
+	$pkgname-vis:_tool
+	$pkgname-signify:_tool
+	$pkgname-jot:_tool
+	$pkgname-cksum:_tool"
 source="$pkgname-$pkgver.tar.gz::https://github.com/chneukirchen/$pkgname/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
@@ -30,10 +47,19 @@ build() {
 package() {
 	make DESTDIR="$pkgdir" install \
 		-C "$_builddir" || return 1
+}
+
+_tool() {
+	local name=$(echo $subpkgname | cut -d '-' -f2)
+	pkgdesc="$name tool from $pkgname"
+
+	if [ name = "cksum" ]; then
+		depends="!coreutils $depends"
+	fi
 
-	# Don't conflict with main/coreutils.
-	rm -f "$pkgdir"/usr/bin/cksum || return 1
-	rm -f "$pkgdir"/usr/share/man/man1/cksum.1 || return 1
+	mkdir -p "$subpkgdir"/usr/bin
+	mv "$pkgdir"/usr/bin/$name \
+		"$subpkgdir"/usr/bin/$name || return 1
 }
 
 md5sums="cb5d6274c78fd5dab8d5612668db08a3  outils-0.3.tar.gz"
-- 
2.7.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---